Package: org.gradle.api.artifacts.result

## [Java] Interface ResolutionResult

- Contains the information about the result of dependency resolution. You can use this type to determine all the component instances that are included in the resolved dependency graph, and the dependencies between them.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `allComponents(Action<? super ResolvedComponentResult> action)` Applies given action for each component.
    `void` | `allComponents(groovy.lang.Closure closure)` Applies given closure for each component.
    `void` | `allDependencies(Action<? super DependencyResult> action)` Applies given action for each dependency.
    `void` | `allDependencies(groovy.lang.Closure closure)` Applies given closure for each dependency.
    `Set<ResolvedComponentResult>` | `getAllComponents()` Retrieves all instances of ResolvedComponentResult from the graph, e.g. all nodes of the dependency graph.
    `Set<? extends DependencyResult>` | `getAllDependencies()` Retrieves all dependencies, including unresolved dependencies.
    `ResolvedComponentResult` | `getRoot()` Gives access to the root of resolved dependency graph.

- - ### Method Detail

    - #### public void allComponents(Action<? super ResolvedComponentResult> action)

      Applies given action for each component. An instance of ResolvedComponentResult is passed as parameter to the action.

      Parameters:
        `action` - - action that is applied for each component

    - #### public void allComponents(groovy.lang.Closure closure)

      Applies given closure for each component. An instance of ResolvedComponentResult is passed as parameter to the closure.

      Parameters:
        `closure` - - closure that is applied for each component

    - #### public void allDependencies(Action<? super DependencyResult> action)

      Applies given action for each dependency. An instance of DependencyResult is passed as parameter to the action.

      Parameters:
        `action` - - action that is applied for each dependency

    - #### public void allDependencies(groovy.lang.Closure closure)

      Applies given closure for each dependency. An instance of DependencyResult is passed as parameter to the closure.

      Parameters:
        `closure` - - closure that is applied for each dependency

    - #### public Set<ResolvedComponentResult> getAllComponents()

      Retrieves all instances of ResolvedComponentResult from the graph, e.g. all nodes of the dependency graph.

      Returns:
        all nodes of the dependency graph.

    - #### public Set<? extends DependencyResult> getAllDependencies()

      Retrieves all dependencies, including unresolved dependencies. Resolved dependencies are represented by instances of ResolvedDependencyResult, unresolved dependencies by UnresolvedDependencyResult. In dependency graph terminology, this method returns the edges of the graph.

      Returns:
        all dependencies, including unresolved dependencies.

    - #### public ResolvedComponentResult getRoot()

      Gives access to the root of resolved dependency graph. You can walk the graph recursively from the root to obtain information about resolved dependencies. For example, Gradle's built-in 'dependencies' task uses this to render the dependency tree.

      Returns:
        the root node of the resolved dependency graph